Update a checkout session
POST
/checkout/update_client_session
billing.funnelfox.comModify an existing checkout session’s details, such as changing the selected Price Point.
Only a session with no payment attempt yet, or whose payment was declined or failed, can be changed. For any other order, the request returns HTTP 400 with Checkout session is no longer editable.
Parameters
Section titled “Parameters”org_id
required
string
Organization ID
Request bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CheckoutUpdateClientSessionIn
object
client_token
required
Client Token
string
order_id
required
order id
Order ID (can include multiple transactions, fallbacks, and refunds)
string format: uuid
pp_ident
required
price point ident
Unique identifier of the price point
string
client_metadata
object
Client MetadataCustom metadata from your client application
Show 1 propertyHide property
key
additional properties
any
Example generated
{ "client_token": "example", "order_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pp_ident": "example", "client_metadata": {}}Responses
Section titled “Responses”Media typeapplication/json
Ok200